/* bandmtrx.h
 * Matrixtyp Bandmatrix
 * erstellt: Fre Nov  5 14:58:00 CET 1999
 * Autoren:  Mirko Belickin und Joachim Wagner
 */

#ifndef __BANDMTRX_H
#define __BANDMTRX_H

#include "namen.h"
#include "matrix.h"
#include <stdio.h>

typedef struct bandmatrixdaten {
    int n, m;                     /* Groesse und Bandbreite der Matrix */
    char *name;                   /* Name der Matrix */
    matrix **vektor;              /* Eintraege der Matrix linear angeordnet */
} bandmatrixdaten;

typedef struct bandmatrixschablone {
    int n, m;                    /* Groesse und Breite der Matrix */
    char *name;                  /* Name, den die Matrix erhalten soll */
    int init;                    /* 0 = Eintraege undef., 
                                    sonst erzeuge Nullmatrix */
} bandmatrixschablone;

#endif
